Subject: Re: [PATCH V8 03/10] powerpc, perf: Re organize BHRB processing

From: Anshuman Khandual <[email-masked]>
Date: Fri, 12 Jun 2015 12:35:26 +0530

On 06/11/2015 09:02 AM, Daniel Axtens wrote:
>>>> +
>>>>  /* Processing BHRB entries */
>>>>  static void power_pmu_bhrb_read(struct cpu_hw_events *cpuhw)
>>>>  {
>>>> -	u64 val;
>>>> -	u64 addr;
>>>> +	u64 val, addr, tmp;
>>> Please don't use 'tmp' here. As far as I can tell, you use this variable
>>> to compute the 'to' address. The name should reflect that.
>>
>> Agreed but then it will be a new preparatory patch at the beginning
>> of this patch series.
>>
> I don't think I understand what you're saying here. Why do you need a
> new patch? As I understand it, you've introduced 'tmp' in this patch;
> couldn't you just rename it to, for example, to_addr, instead of tmp in
> this patch?

Sorry for the confusion, I meant separate patch for the other
two changes I had agreed to (i.e changing the name and type of
'pred' variable) as suggested in the previous mail not for this
one. Will change 'tmp' into 'to_addr' in this patch itself.